#
# spec file for package python-google-cloud-audit-log
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-google-cloud-audit-log
Version:        0.3.2
Release:        1.1
Summary:        Google Cloud Audit Protos
License:        Apache-2.0
URL:            https://github.com/googleapis/google-cloud-python/tree/main/packages/google-cloud-audit-log
Source:         https://files.pythonhosted.org/packages/source/g/google_cloud_audit_log/google_cloud_audit_log-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module wheel}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module googleapis-common-protos >= 1.56.2}
BuildRequires:  %{python_module protobuf >= 3.20.2}
# /SECTION
BuildRequires:  fdupes
Requires:       python-googleapis-common-protos >= 1.56.2
Requires:       python-protobuf >= 3.20.2
BuildArch:      noarch
%python_subpackages

%description
Google Cloud Audit Protos

%prep
%autosetup -p1 -n google_cloud_audit_log-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%exclude %{python_sitelib}/docs
%{python_sitelib}/google/cloud/audit
%{python_sitelib}/google_cloud_audit_log-%{version}.dist-info

%changelog
* Thu Apr 24 2025 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to 0.3.2
  * Allow protobuf 6.x
  * Remove setup.cfg configuration for creating universal wheels (#13659)
  * Resolve issue where pre-release versions of dependencies are installed
- from version 0.3.1
  * Updates audit_log proto with PermissionType (#13616)
- from version 0.3.0
  * Add `google/cloud/audit/bigquery_audit_metadata_pb2.py`
  * Add PolicyViolation. this will only be present when access is denied
    due to Organization Policy
  * Add support for Python 3.12 (#113)
  * Add the principal field to the ServiceAccountDelegationInfo
  * Introduce compatibility with native namespace packages (#117)
  * Update AuditLog proto to include all new changes in Audit Logging
  * **deps:** Require protobuf >= 3.20.2, protobuf >= 6
  * Regenerate pb2 files for compatibility with protobuf 5.x
- Adjust upstream source name in spec file
- Switch upstream tarball to PyPi as tests are now included there
- Update BuildRequires and Requires from setup.py
* Sun Dec 17 2023 Dirk Müller <dmueller@suse.com>
- add tests
* Wed Dec 13 2023 Daniel Garcia <daniel.garcia@suse.com>
- Initial version (jsc#PED-6697)
